@echo off

rem  Main authors:
rem     Fabio Rossi <rossi@dmi.unipg.it>
rem
rem  Contributing authors:
rem     Stefano Bistarelli <bista@dmi.unipg.it>
rem     Francesco Santini <francesco.santini@dmi.unipg.it>
rem
rem  Copyright:
rem     Fabio Rossi, 2017
rem     Stefano Bistarelli, 2017
rem     Francesco Santini, 2017
rem
rem  This file is part of ConArg Project, a software for Argumentation Framework:
rem     http://www.dmi.unipg.it/conarg
rem
rem  Permission is hereby granted, free of charge, to any person obtaining
rem  a copy of this software and associated documentation files (the
rem  "Software"), to deal in the Software without restriction, including
rem  without limitation the rights to use, copy, modify, merge, publish,
rem  distribute, sublicense, and/or sell copies of the Software, and to
rem  permit persons to whom the Software is furnished to do so, subject to
rem  the following conditions:
rem
rem  The above copyright notice and this permission notice shall be
rem  included in all copies or substantial portions of the Software.
rem
rem  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
rem  EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
rem  MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
rem  NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
rem  LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
rem  OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
rem  WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

call "C:\Program Files (x86)\Microsoft Visual Studio\2017\Professional\VC\Tools\MSVC\14.11.25503\bin\Hostx64\x64\cl" -c /DNDEBUG /EHsc /MD ^
/Ox /wd4355 -I ../../../../conarg2_ver1/src/ -I ../../../../Common/src/ -I "C:\Program Files\Gecode\include"  -Fomain.o -Tpmain.cpp 
if errorlevel 1 goto comperror

rem Copying requested library for link
del lib\Gecode*-r-*.lib
copy "C:\Program Files\Gecode\lib\GecodeSupport*-r-*.lib"   lib
copy "C:\Program Files\Gecode\lib\GecodeKernel*-r-*.lib"    lib
copy "C:\Program Files\Gecode\lib\GecodeSearch*-r-*.lib"    lib
copy "C:\Program Files\Gecode\lib\GecodeInt*-r-*.lib"       lib
copy "C:\Program Files\Gecode\lib\GecodeSet*-r-*.lib"       lib
copy "C:\Program Files\Gecode\lib\GecodeFloat*-r-*.lib"     lib
copy "C:\Program Files\Gecode\lib\GecodeMiniModel*-r-*.lib" lib
copy "C:\Program Files\Gecode\lib\GecodeGist*-r-*.lib"      lib
copy "C:\Program Files\Gecode\lib\GecodeDriver*-r-*.lib"    lib
rem Copying requested DLL
del Gecode*-r-*.dll
copy "C:\Program Files\Gecode\bin\GecodeSupport*-r-*.dll"   .
copy "C:\Program Files\Gecode\bin\GecodeKernel*-r-*.dll"    .
copy "C:\Program Files\Gecode\bin\GecodeSearch*-r-*.dll"    .
copy "C:\Program Files\Gecode\bin\GecodeInt*-r-*.dll"       .
copy "C:\Program Files\Gecode\bin\GecodeSet*-r-*.dll"       .
copy "C:\Program Files\Gecode\bin\GecodeFloat*-r-*.dll"     .
copy "C:\Program Files\Gecode\bin\GecodeMiniModel*-r-*.dll" .

call "C:\Program Files (x86)\Microsoft Visual Studio\2017\Professional\VC\Tools\MSVC\14.11.25503\bin\Hostx64\x64\link" /out:main.exe main.o ^
ConargLibrary.lib /LIBPATH:"." /LIBPATH:"lib" 
if errorlevel 1 goto comperror

del *.o

echo "Now You can run main.exe"
exit /b 0

:comperror
exit /b 1

